Introduction

Top Next

Welcome!

Welcome and thank you for choosing D-Fend as your DOSBox front-end. I hope you enjoy using the program. I enjoy making it.

What does D-Fend offer?

D-Fend allows you to make a so called profile for your DOS games. There profiles are then used to start DOSBox and run your game. Every profile is unique to allow tweaking which is very easy to do in D-Fend. Further more D-Fend offers several tools to make your life easier. To name a few:

- D-Fend? Database ?

Sort of. D-Fend allows you to store some extra info for each profile. You can define a Genre, Developer, Publisher, A Publication Year and some notes for each profile. The extra properties can be used to filter your profiles using the Filter Tree. Want to see all you action games? Just click on the filter an presto!

- Templates

No game is the same but there are lots of games that work wonderfully with similar settings. Templates allows you to setup a general profile which you can use to make a specific profile. E.g. Make a template specifically for old games which require low speed and CGA monitor. Or make a template for new games which require high speed and a VGA monitor. The only limit is your own imagination.

- Custom Settings and Configurable Options

DOSBox evolves continuously and new versions appear long before an official release is published. The CVS versions sometimes introduce new settings. This is where Custom Settings and Configurable Options come in. Say DOSBox CVS supports a new scaler which is not in D-Fend? Well just add it! Are there completely new settings? Then Custom Settings is your friend.

Now matter how DOSBox evolves over time. D-Fend offers all the flexibility you need to keep playing your games.

- An advanced GUI based mounting system

D-Fend does all the hard work when it comes to mounting. All you do is say "This folder is that drive" and D-Fend does the rest. D-Fend also supports mounting images which was introduced in DOSBox 0.62

- Icons! Icons and ICONS!

I know that good looks count and D-Fend was adapted for this. Give your profiles that nice unique look with an Icon! A profiles icon will also be used when you create a shortcut.

- Shortcuts rule

And I know it. D-Fend is nice, but a simple shortcut rocks. D-Fend allows you to make nice looking shortcuts for your games.

- Much, much more.


Quick Start Guide

Previous Top Next

Quick start

So you can't wait to start playing games can you? Take these steps to get your game running as soon as possible.

· Install DOSBox 0.62 (you probably did this already)
· Run D-Fend and configure DOS Box's installation folder. D-Fend needs to know this to start your games.
· Now D-Fend should be up and running
· Press the Wizard button (little wizard hat) or go to Profile / Add With Wizard. The profile wizard appears.
· Enter a name for the profile/game
· Use the browse button to select your game executable.
· If the game has a sound setup program it's a good idea to select it as well. Use the appropriate browse button and select it.
· Press the 'Accept all Defaults' button
· Your profile is done.

In most cases your game should already work but you might want to fine tune it a little. E.g. the speed might be to high/low. Or the sounds doesn't work.

· Speed problems
Select Profile / Edit Profile
Go to the Environment increase/decrease the amount of cycles
Try again

· Sound problems
· If the game has a sound setup program go to the profile tab and select it. If you did this already skip to the next step.
· Select Run / Run Setup
· The Sound setup program should now start in DOSBox. From here on you're kind of on your own. Make sure the sound settings are setup correctly.
· Try again

· The game won't start at all!
· First thing: Go to the profile tab and make sure that the checkbox Close DOSBox after game quits is unchecked.
· Go to the Environment tab and turn on/off EMS and/or XMS emulation
· Go to the mount tab and make sure your mounts are setup properly.
· Try again or read this entire manual.


Using D-Fend

Using D-Fend requires that you understand how to configure DOSBox using D-Fend. You do this by creating Profiles. There are two ways you can create a profile. You can create a profile using the Wizard or you can create a profile using the Profile Editor.

If you're new to D-Fend I recommend you read the following chapters in sequence:

· What is a Profile?
· How D-Fend Works
· Main screen
· Game List
· Default Config editor
· Profile Editor
· Shared Tabs
· Creating Profiles
· Running Games

D-Fend allows you to create Templates with which you can create profiles fast and easy. This is an advances feature and you don't need to know about it in order to use D-Fend but I highly recommend learning about using Templates. The following chapters deal with Templates.

· Templates
· Template Editor
· Creating a Profile Using a Template

The chapters above all cover dealing with profiles in some manner. However D-Fend allows you to do a lot more then just create profiles and run games. If you want to know more about some advanced features I recommend you read the following chapters:

· Creating a Shortcut
· Importing & Exporting Profiles
· Changing Dynamic Options
· Tips & Tricks


What is a profile?

A profile is a collection of settings used to run a game using DOSBox. DOSBox can't use profiles to run games so D-Fend converts a profile into a valid DOSBox config file. Every time you edit a profile D-Fend automatically creates a new config file.

In order to play games you need to create profiles. D-Fend allows you to edit a profile using the Profile Editor. This is a powerful tool that you should because accustomed to.


How D-Fend works

D-Fend's sole purpose is getting DOS games to run with DOSBox. In order to do this you need to create profiles. You can create profiles using:

1. The profile wizard (Beginner)
Step be step guidance. Hides options not required to get a game running
2. The profile editor (Advanced user)
No guidance. Doesn't hide any options.

There is one basic principle you must understand about creating profiles. Whenever you create a profile it is based on either a Template or your Default Configuration. I'll give a little example.

Say your default configuration is:

Video card : VGA
Cycles : 10000

There are more settings but this will work just fine as an example.

Example:

When you create a profile using the Wizard or the Profile Editor the Video card will be set to VGA and the Cycles will be set to 10000. The same is true for every settings. Of course, you can configure your Default Configuration so the settings may be different.

Something to note:
When you create a profile using the Wizard you will not see every setting. This is done on purpose to keep things simple. Even though you can't configure a setting in the Wizard that doesn't mean it's not set-up for you. When using the Wizard you can change certain settings and the blanks are filled up with the Default Configuration.

This is not the case when you use the Profile Editor, that is, there are no blanks. When you use the Profile Editor to create a profile you'll have access to every setting available.

In the Example above I only mentioned the Default Configuration but that's not the whole story. You could say the Default Configuration is the Default Template. What I mean by this is that templates work EXACTLY like the Default Configuration.

Unless you're the adventurous type I recommend you read the chapters dedicated to:

The Editors

In D-Fend there are three Editors:

1. Default Configuration (editor)
2. Profile Editor
3. Template Editor

These editors are very similar in set-up and all share several Tab sheets. These shared tab sheets are discussed in a separate chapter.


Main screen

Introduction

The main screen is the hart of D-Fend. Here you control everything from Running Games, to deciding what icons you want to use.

main

A Short introduction to the main screen

The numbers in the picture above represent the following controls. In later chapters these controls will be discussed in more detail. For it's important to know what I call them to avoid mistakes:

1. Main menu
2. Quick buttons
3. Game List
4. Filter Tree
5. Thumbnail bar

Main menu

The main menu offers access to all the options D-Fend offers.

Quick buttons

These buttons are most commonly used functions in D-Fend.

Game List

This list shows you a list of your games. The contents can vary depending on the selected filter.

Filter Tree

This tree can be used to filter for profiles with specific properties. e.g. Clicking Favorites will show only favorite profiles in the Game list.


Main menu

mainmenu

The main menu contains all the power of D-Fend. Options which open a screen are links.
Here's a listing on what you can find in this menu:

· File
· Import Profile
Opens the an Open dialog with which you can select an import file to import.
· Export Profile
Opens the Export screen for exporting profiles
· Game Export List
Creates a text file containing all your games including extra information.
· Run
· Run Game
Runs a selected game with DOSBox
· Run Setup
Runs a selected game setup with DOSBox
· Run DOSBox with Default Config
Runs DOSBox with the settings to configured with the Default Configuration editor
· Run DOSBox with dosbox.conf
Starts DOSBox using the dosbox.conf file. This is the normal config file dosbox uses which you can edit to experiment or whatever.
· Edit dosbox.conf
Opens dosbox.conf (if it exists) with notepad.
· Profile
· Add with Wizard
Allows you to create a new profile using the Wizard
· Add with Editor
Allows you to create a new profile using the Profile Editor
· Edit Profile
Opens the selected profile for editing in the Profile Editor
· Remove Profile(s)
Removes selected profiles after confirmation. You can select more then one.
· Import/Export. Same as in the File menu.
· Shortcuts. Contains two options:
· Create Quick Shortcut
Creates shortcuts for your selected profiles on the Desktop
· Create Shortcut
Opens the Shortcut screen. Here you can configure a shortcut
· Extra
· Manage Icons
Opens the Icon Library. Here you can mange the icons you can use with your profiles.
· Manage Filters
Opens the Filters manager. Here you can easily Add or Remove Genres.
· View play log
View your play log :). D-Fend keeps track of which games you started at what time.
· Change Dynamic Options
Opens the dynamic option editor. Here you can setup your default configuration.
· Configure Options
Here you can configure the various selection menu's in D-Fend. This is a function intended for CVS users.
· Help
· Manual. You're reading it now.
· Send me a mail.
Opens your mail client ready for sending me an e-mail.
· Visit D-Fend forum
Opens your web browser and navigates to D-Fend's homepage.


Quick buttons

quickbuttons

The quick buttons are buttons you can use to do stuff faster's. From left to right:

· Open Wizard
· Open Editor for Profile creation
· Open Template screen
· Open Default Configuration editor
· Run a selected game
· Run a selected game's setup (if available)
· Open the Profile Editor to edit a selected profile
· Delete one or more selected profiles
· Switch View Style.


Game List

gamelist
The red rectangle is the game list. Using the View Menu you can change the view style properties of the game list.

The function of the game list is obvious, it displays the profiles the active filter allows you to see. Favorite profiles are marked with a bold font. Right clicking opens a pop up menu with the following options.

· Run Game (Same as double click)
· Run Setup
· Edit Profile
· Rename Profile
· Remove Profile
· Send To
· Shortcuts
· Go to Game folder
Opens Windows Explorer and opens the game's folder
· Mark as Favorite
Marks/unmarks selected profiles as favorites. Favorites appear in bold in the Profile Editor.


Using Drag & Drop

Drag & Drop

You can Drag & Drop profiles onto a filter. For example. You have several profiles you want to set to the Action Genre (this needs to be available first). Simply select the profiles as if they were files and drag them onto the filter and you're done. It's that easy. You can also drag profiles to the Favorites node to mark them as favorites.


Using Send To

In stead of using Drag & Drop to change the Extra Info of a profile you can use Send To.

Select a bunch of profiles and right click. Go to Send To and a sub menu will appear with Genre, Developer, Publisher Year. If you want to set your profiles to a certain Genre just hover over Genre and a list of available genres will appear. Click on the genre and you're done.


View Styles

Press the viewstyle button and the following options appear:
· Icons
Switches to Icon view
· List
Switches to List view
· Show Extra Info
Hides shows the Extra info
· Show Filter Tree
Shows/hides the Filter Tree
· Show Thumbnails
Shows/Hides the Thumbnail bar

Here are several preview on different view styles.

Game list showing Extra Info in List mode
gamelist - extra + list

Game list not showing Extra info in List mode
gamelist - no extra + list

Game List Icons. Extra Info is always hidden
gamelist - extra + icons


Thumnail bar

Thumbnail bar

thumbnails
The Thumbnail bar will show the thumbnails for screen shots you created in DOSBox. These thumbnails will automatically appear when you select a profile in the game list. You can double click to open a Preview window showing the image at actual size. Right clicking on a thumbnail will open a context menu with which you can delete, open or even clear all thumbnails.


Filter Tree

filtertree
The Filter Tree allows you to filter profiles based on their Extra Info (Genre, Developer, etc). It really simple. Just click on a node and the Game List will show the appropriate profiles. There are two special nodes. These are: All Games and Favorites. Selecting All Games will show all available profiles. Selecting Favorites will only show profiles marked as a Favorite.

However there are more nodes and the image above even has sub nodes. What do these do? Simple, there are four nodes which define a certain filter. These are Genre, Developer, Publisher, Year. These nodes are collectively known as Filter Types. The data their contain is collectively known as a Filter.

If, for example, you selected Genre / Action the Game List would only show profiles which have Action as the Genre. If you read the chapter about the Game Info Tab you'll have a pretty good idea how to add and change a Genre or any other kind of data. Changing twenty profiles to the Action Genre would be a very tedious job indeed. The next part of this chapter deals with solutions exactly for that.

Adding Filters using the Filter Tree

Select a filter type e.g. Genre. In the example above this will look like this:

filtertypeselected

As you can see the Game List is gone and the Filter List appeared displaying the Genre's available at the moment. Right clicking in the Filter List will make a pop-up menu appear with the following options:

· Open (Same as double click)
This selects the Filter as if you selected it from the Filter Tree. The Game list will appear showing profiles matching the filter. It's like entering a folder.
· New Filter
Selecting this option will show an input box in which you can enter a new filter description.
· Delete Filter
Removes a selected filter.


Default Config Editor

The Default Configuration defines the settings used by the Profile Editor and the Wizard when you create a profile. It also defines several D-Fend options which have nothing to do with profiles. It has only one specialized tab sheet which is labelled Options.


Options Tab

Here you configure some options for D-Fend and D-Fend only. These settings have nothing to do with DOSBox.
tabs - options

· DOSBox location
Here is where you set-up DOS Box's installation folder. You browse using the browse button or you can type the path name yourself. This the most vital setting in D-Fend. Without this setting you cannot start any games. When you install D-Fend for the first time the first thing you need to do is set-up the DOSBox installation folder or D-Fend will not start. D-Fend will not allow you to select an invalid path. Note that D-Fend will only look for the file 'dosbox.exe'.
· Default Game location
If you're like my you will probably put all your DOS games in a separate folder. You can set-up that folder here. When you browse for a game (or setup) this is the first folder that the browse will show. I recommend using this setting it really speeds things up
· Remembers last profile Tab
Setting this option will make the Profile Editor show the last tab you used when editing a profile. Very useful if you are tweaking certain settings.
· Hide DOSBox console
Enabling this setting will cause the DOSBox console to be hidden when you start a game.
· Minimize D-Fend
Setting this option will minimize D-Fend when you start a game. Useful because minimized programs receive less attention from Windows and claim less memory.

The other Tabs are shared tabs. You can read about them in the Shared Tabs chapter.


Templates

Templates are nothing more then profiles made in advance. By using templates you can save yourself a lot of work. Say you have several games that run best on an old machine and several games that need a newer machine. In a case such as this the easiest thing to do is to create several templates which you can use to create profiles.

To open the Template screen go to : Profile / 'Add/Use Template'.
The following screen will appear:

template screen
In the picture above I've shown two templates.

· Old Games is intended for really old games. This template will setup the Wizard/Profile Editor with low cycles, CGA monitor and no additional memory along with several other tweaks
· Newer Games is intended for dos game that are a little bit more advanced. It uses a high cycle count, default to vga monitor, and it uses the dynamic code.

Of course, you're not limit to just two templates! You can create as many as you like.

There are several features that are very important to know about the template screen. I will go through the buttons since that's how you access these features.

· Select Button
A pop up menu will show giving you the option to create profile using the wizard or create a profile using the Profile Editor. Read more about this in this chapter.
· Default Button
The Default Button turns the selected template into the Default Template. Whenever you create a new profile using the Wizard or the Profile Editor without the use of the Template screen the Default Template is the template that will be used. You can undo the Default Template by selecting the Default Template and pressing the Default button again.
· Add
Pressing the Add button will show a pop up menu giving you two options
1. Base on Default Configuration. Selecting this option (always available) will open the Template Editor and the settings from your Default Configuration will be loaded.
2. Base on Selected Template. Selecting this option will open the Template Editor and the settings from the selected Template will be loaded. This effectively copies the template you selected.
· Edit
Opens the Template Editor. This allows you to modify a template. Profiles based on this template are not influenced by this
· Remove
Removed a selected template
· Rename
Allows you to rename a selected template


Template Editor

The Template Editor can be used to create and edit Templates. It has only one specialized tab sheet: Template.


Template Tab

tabs - template

The Template Editor can be used to create and edit Templates. It has only one specialized tab sheet: Template.


Profile Editor

The Profile Editor is used to edit and create profiles. Here you can change any setting for a profile. The Profile Editor has three specialized tabs. These are: \

· Profile Settings
· Game Info
· Autoexec


Profile Settings Tab

tabs - profile settings

· Change/Clear Icon
Here you can select the icon which will represent you profile in the Game List. The default icon is D-Fend's own icon. You can change this with the Icon Library. Clearing the icon will reset the icon to D-Fend's own icon.
· Profile Name
This is the name of the profile. This name will be displayed in the Game List. You can if you're editing a profile you can change the name here. If you're creating a profile then this will be the name of your profile.
· Game EXE
This is the file used to start the game. This doesn't have to be an EXE file though any run able file is acceptable. You can select: COM, EXE and BAT files. You can either use the Browse button to select a game exe or you can type the file path yourself.
· Parameters
some games require some command line parameters to run. Enter the command line parameters exactly like you would at the command line.
· Setup EXE
This is the file used to start the game's setup. This is not a mandatory option! Some games just don't have setup programs. But if a game does have one I really recommend you configure it. Configuring a setup exe will enable D-Fend to run the setup using the exact same settings as the game. This means that if you successfully configure the sound using a game's setup program that the sound will work in the game.
· Parameters
Some setups might require a few command line parameters. Enter the command line parameters exactly like you would at the command line.
· LoadFix
LoadFix eats up some conventional memory. Some games need this because they don't expect to much memory to be available to this. I know it's silly but it's a fact of life. The default value is 64 Kb (kilobytes) but you can override this by entering a value.
· Capture folder
This is the folder where DOSBox will store screen shots for this game when you make a screen shot using CTRL-F5.
· Generate Folder Name
This will generate a name (not create it) based on the name of your profile. When you confirm your profile settings D-Fend will automatically make this folder for you.
· Browse
If you want to pick a folder yourself then you can use the browse button to select one.


Game Info Tab

tabs - game info

Game info is new in D-Fend. This is totally optional and you really don't need to use it. But it's fun! Here you can give that little extra character to a profile by entering some information about the game. It will also enable you to Filter on these properties using the Filter Tree.

You can set-up the following items:

A note about these fields. When you enter a new value D-Fend will automatically add it to the database for future use.

· Genre
Here you can type or select the genre of the game. E.g. Action, Arcade, etc. Use your imagination.
· Developer
Here you can type or select the developer of the game. In other words, who made it.
· Publisher
Here you can type or select the published of the game.
· Year (of publication)
Here you can type or select the year the game was released. It's not a requirement that this be a number.
· Notes
Here you can enter some notes or a lot of notes.


Autoexec Tab

tabs - autoexec

This is a tab for advanced users. Autoexec is an old DOS name. It used to be a file (batch file) with which you could start when MS-DOS was starting up. DOSBox also has an AUTOEXEC. This AUTOEXEC is used to create mounts, start games or start anything you like.

Lucky for you that D-Fend does all this for you but… sometimes it might not be enough. This is where this tab comes in. There are several options available to you and several ways to use this functionality which be revealed shortly. First, the settings:

· Override mounting
Mounting is slang for creating a hard drive in DOSBox. You need to do this to play games because by default DOSBox will not recognize any hard drives/cd-roms. D-Fend allows you to set up your mounts and will generate the necessary command. If you want to prevent this then enable this option.
· Override game start
Enabling this will prevent D-Fend from starting your game automatically

Now lets talk about what you can do here. There are several possibilities:

· Override mounting is disabled and Override game start is disabled
Commands you enter in the text box will be executed AFTER the mounts are created and BEFORE the game is started. This is useful if, for example, . you want to start a trainer
· Override mounting is enabled and Override game start is disabled
This is a tricky setting. D-Fend will not create mounts but it will try and start the game as if it DID create them. This isn't particularly useful
· Override mounting is enabled and Override game start is enabled
Manual mode. You can define your autoexec anyway you like. What ever you enter in Autoexec will be executed when you run DOSBox


Shared Tabs

D-Fend's editors all share several tabs. Regardless of the editor you are using these tabs will work exactly the same. In this chapter you can read about these tabs. First here's a list of these tabs. Click on a tab sheets name to read more about this tab sheet.

· General
· Environment
· Mounts
· Sound
· Custom Settings
· Priority


General Tab

This tab contains all the settings that have absolutely nothing to do with MS-DOS emulation. This tab deals with miscellaneous DOSBox settings and screen output.
tabs- shared - general

Here's a listing of the settings. The number/value between () is the default value for this setting.

· Close DOSBox when game quits (DISABLED)
Enabling this setting will execute the EXIT command right after you quit a game. This will close DOSBox. Leave this setting Disabled if you're testing a new profile because you will not be able to see any error messages, etc.

· Double buffering (DISABLED)
Doublebuffering results in a smoother transition between frames. Only works in Full screen.

· Full screen (DISABLED)
DOSBox will run in full screenthe moment it starts.

· Auto lock mouse (ENABLED)
When you run a game DOSBox will capture the mouse and give control of the mouse point to the game when you click on the DOSBox window. This is default behaviour when you're running in full screen

· Fullfixed
This 'fixes' the resolution when in full screen. So if your resolution is 1024x786 and the game is really using 320x200 switching to full screen will keep the resolution at 1024x786.

· Aspect Correction
DOSBox will stretch the game's emulator image to the selected screen resolution. In some cases this will look strange.

· Mouse sensitivity (100)
Configures the mouse sensitive in DOSBox.

· Resolution
The resolution with which DOSBox runs in windowed mode and in Full screen mode if Full fixed is enabled

· Render Method (surface)
This configures the output method DOSBox uses to draw images on the screen. Some methods are faster then other but this is influenced by hardware. Experiment and figure out which works best for you.

· Scaler
A scaler is a 'filter' with which the image is modified. Experimentation is the key here. Note that some scaler's are very CPU intensive and will cause a negative performance hit.

· Hardware scaling (1.00)
Only works if you video card supports it. This setting allows you to increase the size of the image via your hardware, which is faster.


Environment Tab

This tab allows you configure the environmental options Dosbox emulates.

tabs- shared - environment

· Amount of dos memory(16)
This is the amount of memory high memory available for dos games. Set this to a generally 'good' value.

· Enable XMS
Turns on emulation of Extended memory. Some games need this, some games won't run with this on. Most DOS4GW games require this to be enabled.

· Enable EMS
Turns on emulation of Expanded memory. Some games WILL NOT WORK unless this is turned on. Some games will NOT work with this on. Generally, games do not use this.

· Cycles
The amount of processing power DOSBox emulates. You cannot translate this to MHz. Advanced games need more cycles then simple games. Simple games will run way to fast with a high amount of cycles. This is probably one of the most important settings Dosbox offers. The amount of cycles Dosbox can handle depends on how powerful your PC is, on the game you're running and the selected CPU core

NOTE: Some games won't even run with this settings set to high.

· Up/Down
You can increase/decrease the amount of cycles while Dosbox is running with CTRL-F12/F11. Up/Down allows you to configure by how much the amount of cycles is increased/decreased.

NOTE: If you set this to hundred of lower DOSbox will treat this number as a percentage.

· Frame Skip
One of those tweaking options. By skipping frames you lessen the load on your processor. It does come at a cost, less frames means choppy animation.

· CPU core
You can select Normal, Full, dynamic or simple. Normal is slower but the most stable, dynamic is the fastest but less stable and less compatible. By slower and faster I mean that you can set the amount of Cycles a lot higher when using the Dynamic core. Don't use Simple or Full

· Video card
Here you select the video card DOSBox emulate.


Mounting Tab

Here's where you configure the hard drives/cd roms/floppies DOSBox will use. If you want to know more about mounting. Read this chapter.

tabs - shared - mounting

· Mount List
This list shows you which drives will be available to DOSBox. It also shows what kind of drives they will be. I'll explain what every means:
· Folder
This is the folder/image/floppy/drive WHATEVER that's going to be mounted in DOSBox
· Type
This shows you what your 'folder' will be when it's mounted in DOSBox. This can either be a: Drive, Floppy, CDROM
· Drive letter
This shows the drive letter your 'folder' will be when it's mounted in DOSBox
· Label
DOSBox will give this label to your mounted 'folder'. Some games won't work unless a certain label is set for a CDROM.
· IOCTL
Only useful for mounting physical CDROMS and Virtual CDROMs. If a game's copy protection is giving you trouble then enable this setting.

· Auto Create
Pressing this button will automatically create a valid mount point for your game. This will work just fine nine out of ten times but some games are very picky about their installation folder. Auto Creating a mount will always mount the root of a drive the type of the mount will always be a hard drive. But you can edit it if you wish.
· Add
Opens the Add mount Screen.
· Edit
Opens the Add mount screen with your selected mount which you can Edit.
· Remove
Removed a selected mount.
· Clear All
Clears all mount after confirmation


Sounds Tab

tabs - shared - sound

· Enable Sound (ENABLED)
Enabling this setting with turn the sound on. Disabling with mute sound output it will not disable sound emulation.
· Sample Rate (22050)
The sample rate of the audio playback. I never really experimented with this. Some sound devices can set their own Sample Rate. Again, I really never experimented with this.
· Block Size
I haven't a clue what this does. All I know is that increasing this value smoothen's audio playback but the audio will go out of sync.
· Pre buffer
The amount of millisecond dosbox stores the sound before playing it back. I haven't a clue what this does.

The Sound Tab has it's own tabs. These are:

· Sound Blaster
· GUS
· Midi
· Misc


Sound blaster

tabs - shared - sound - sb
Here you can set-up sound blaster emulation. Select a type of sound blaster and configure the IRQ's and DMA's. The defaults usually work just fine. You can't really go wrong here. The only reason to change anything here is that a game only supports a Sound Blaster Pro 1 and not the Sound Blaster 16. Or a game might prefer a certain IRQ or DMA. In that case you can change as much as you want.

A final note. OPLMODE is best left on AUTO it's the default for a very good reason. The thing is that the OPLMODE is dependant on the sound blaster type. However, if, for some reason you want to combine OPL3 with a sound blaster 8 bit. Go ahead but it's NOT natural to do so because the actual hardware never supported this.


GUS

tabs - shared - sound - gus
Here you can enable GUS (Gravis Ultrasound) emulation. Pretty much the same deal as with configuring the sound blaster. A GUS however has two IRQ's and two DMA. Truth be told I never owned a GUS I never used GUS emulation but I do know that you can set both IRQ and DMA's to the same value. I also know that you need certain patches/drivers to actually use this. But that's beyond me.


MIDI

tabs - shared - sound - midi
Here you can set-up MIDI settings. There's not to much to configure here. Just a few hints. Behave Intelligently is enabled by default. It's best to leave it at that as it increases compatibility.


Misc

tabs - shared - sound - misc
Here you can enable the PC Speaker and the Disney Sound source. A little piece of advice

ALWAYS ENABLE PC-SPEAKER EMULATION

Even if a game doesn't use the PC-SPEAKER it might expect it to be there. If not a game might not run at all. Leave this setting on. As for the Disney Sound source, you decide.


Communication Tab

 tabs - shared - communication

· Enable Modem(DISABLED)
Enables virtual modem emulation
· Comport
Configures the virtual comport DOS games should look for a modem connection
· Port number
This is the TCP/IP port DOSBox will listen on for incoming virtual modem calls.

· Enable Direct serial connection
I'd love to tell you all about this but there's absolutely no documentation on this functionality.


Custom Sets Tab

Custom Settings allow you to configure any setting that is supported by DOSBox or DOSBox CVS. (Click here to learn more about DOSBox CVS)
tabs - shared - custom sets
First you need to know a little about INI files. Ini files are build up out of three parts:

1. Sections
2. Options
3. Values

The format for this is:

[SECTION]
OPTION=VALUE

A section can contain several dozens or even a hundred options. DOSBox also uses and ini file names dosbox.conf. If you plan on using Custom Settings you will need to get familiar with the dosbox.conf. Here's a little example:

Say someone build a CVS version of DOSBox that supports 3DFx emulation. That's sound pretty cool and we want to use that but the setting doesn't exist in D-Fend. So what now?

Simple. First we need to know how to enable 3dFx. We take a look in dosbox.conf and this is what we find:

[3dfx]
UseFX=False
Resolution=640x480

Interesting…. Now we copy the section 3dFx with both it's options and we paste it into the Custom Settings tab. However we want to Enable 3dFx support and right now it's disabled. So, we change the value of UseFX to True. Press OK and we're done. 3dFx emulation is now turned on.

And that's how easy Custom Settings work.

If you want to save a Custom Setting for later use you can do so. Press the Save To File button and a Save Dialog will pop-up. Enter a name and press OK.

If you want to use a saved Custom Setting press the Load From File button.

NOTE! DO NOT ENTER COMMENTS IN A CUSTOM SETTING D-FEND WILL CRASH IF YOU DO SO.


Priority

Here you can configure the priority with which DOSBox runs.
tabs - shared - sound - priority

Windows gives a program a certain priority. The higher this priority the more CPU time the program gets resulting in a speed boost. DOSBox is very CPU intensive so this will effect performance.

You can change two settings here:

1. You can set the priority of DOSBox when it's active (when you're playing a game).
2. You can set the priority of DOSBox when it's inactive.

That's pretty much all there is to it. If DOSBox gets unstable when you select a certain priority, lower DOS Box's priority a notch and see what happens.


Creating Profiles

Creating profiles can be done using either the Wizard or the Profile Editor. It's up to you which one you prefer. You need to understand how defend works to understand how profiles are created with the Wizard. Also before you go and create profiles I really recommend you read about the Profile Editor, Default Configuration and the Shared Tabs.

If you've so there are three chapters covering Profile Creation.

1. Create a Profile using the Profile Wizard
2. Create a Profile using the Profile Editor
3. Create a Profile using a Template


Wizard

Using the Wizard to create a profile is probably the easier way to add profiles for people new to D-Fend. When you get to know D-Fend a little better you'll probably want to start adding profiles using the Profile Editor.

You can open the Wizard by going to : Profile / Add with Wizard

The following screen will pop up.
wizard - 1sttab

IMPORTANT!
The wizards title bar will give some information on what you're supposed to do. Take note of [Template : Default] this indicates that you're adding a profile using the Default Configuration. If you were using a Template or you configured a different Default Template Default would have been replaced by a template name of your own. Read more on templates in this chapter.

To continue creating a profile press the '>>' button and follow the instruction. When the '>>' button turns into Finish you've completed creating the profile. Press the Finish button and your profile is done.

Note that the '>>' button will be disabled if you entered invalid data. For example, the wizard will not let you procedure until you've selected a valid game exe.


Profile Editor

Adding a profile using the Profile Editor is nearly identical to editing one. The only difference is that you need to enter a name for your new profile in the Profile Tab. Therefore read the chapter about the Profile Editor.


Template

Open the Template screen with : Profile / 'Add/Use Template. The Template screen will pop up. Now select a template you want to base your new profile on and press the Select button. A pop-up menu will pop up showing two options.

1. Select for Wizard
Select for Wizard will load the template into the Wizard. The Wizard will pop up and you can create a profile like you normally would using the Wizard
2. Select for Editor
Select for Editor will load the template into the Profile Editor. The Profile Editor will pop up and you can create a profile like you normally would using the Profile Editor

If you need to know more about Templates refer to the chapter covering Templates.


Running Games

You can run games using the Game List. To run a game select it and go to Run / Run Game. DOSBox will start and you can start playing. Alternatively you can also double click on a game name.


Running a Setup

Running a setup works exactly the same as running a game. Go to Profile / Run Setup. The setup program will now start in DOSBox.

· Advantages of configuring a setup
Many 'newer' dos games have a setup program that allows to configure sound (very common), key setup, etc. If you configure a setup for the game profile then D-Fend will be able to start the game's setup program in the exact same environment as the game itself. That means that if you configure the sound in the game's setup program and it works. Then it's very likely the sound will work in the game as well.

However you must first configure a games setup before you can run it. To select a games setup program edit the profile (Profile / Edit Profile) then browse for the game's setup program in the Profile Tab.


Cool Stuff

So what exactly is cool stuff? Well this part of the manual deals with stuff that has nothing to do with running games or configuring profiles. It's about neat extra's D-Fend offers.


Creating a Shortcut

Quick method
To create a shortcut first select one or more profiles then go to Profile / Shortcuts / Create Quick Shortcut. A shortcut will be created for every profile you selected. These shortcuts will always be placed on the desktop but you can move then if you like.

Advanced method
Select a single profile then go to Profile / Shortcuts / Create Shortcut... the following screen will pop up

shortcutscreen
With this screen you can configure the shortcut for a profile. Here's what you can do:

· Change Icon
This opens the Icon Library. You can select a Icon for your shortcut.
· Clear Icon
This will clear the icon. However the default icon will always be used for a shortcut.

· Shortcut name
Enter the name of the shortcut here. The selected profile's name is used by default
· Location
Here you configure where the shortcut is going to be placed. You have two options:
1. Desktop. This will place the shortcut on the desktop
2. Start menu. This will put the shortcut in the start menu.
You can configure the location in the start menu by entering a folder name in the edit box Main Start Menu folder: To make things interesting, use the Add Sub. button.
· Add Sub.
When you press this button a pop up menu pop up offering four options: Genre, Developer, Publisher and Year. Selecting one of these will add the game info to the path name. For example. My profile's genre is Action. The current folder is Dos Games. I press the Add Sub. button and select genre. The new folder name is Dos games\Action. Using the Add Sub. button allows you to organize your start menu shortcuts.
· Hide DOSBox console
When enabled the DOSBox console will be hidden when you start the game using the shortcut.


Icon Manager

The icon manager allows you to manage your icon library. Your icon library is a collection of icons you can use to give a profile a bit more character. You also use the icon library to select a icon for a shortcut.

You can open the Icon Manager by going to : Extra / Manage Icons

The following screen pops up:

iconmanager

· Add
Opens a dialog that allows you to select an icon. When you select an icon it will automatically be placed in the icon library. If an icon with the same name already exists D-Fend will add a '1-' in front of the name
· Remove
Removes a selected icon
· OK
Confirms changes to the icon library
· Cancel
Cancels the deletion icons you just removed. It also closes the screen.

Right clinking anywhere in the icon list will cause a pop up menu to appear. Here you can select the view options of the Icon manager:

· List (smaller icons)
· Icons (larger icons)


Export Game list

This will create a simple text file contain all the Info of your games.

Go to File / Export Game List.. Enter a name and press OK. If you open the file you'll see something like this:

Example
Genre            : A genre
Developer        : A developer
Pub              : A publisher
Publication Year : A Year
Notes:
Example notes


Importing and Exporting Profiles

D-Fend offers import and export functionality which allows you to share your profiles with anyone using D-Fend! Although creating a profile is easy, tweaking is not. With importing and exporting you can share the work of making more games runs properly with DOSBox.


Exporting

To open the Export screen go to File / Export Profile...
The following screen pops up.

exportscreen

Exporting a profile

1. Select a profile from the list
2. Click on the Export button
3. A standard windows save dialog will pop up. Enter a file name (the profile's name is always suggested) and click save.
4. You'll be asked if you want to enter some notes. If you click on Yes a screen will pop up allowing you to enter some notes about the export file. These notes will be shown to someone who imports your export file. So if there's some important stuff or information you want to share. This would be the place to enter it.

All done! Now you can share the export file with anyone!


Importing

To import a profile go to File / Import Profile.

A standard windows open dialog will pop up. You can select a:

· D-Fend export file (dfe)
A DFE does not contain mount information or display information. It can contain notes
· Profile (.prof)
Importing a profile is possible but you need to remember to reconfigure the game exe/mounts, etc

When you import a file D-Fend will ask you if you want to look for the game's exe. If you confirm that you want to do this D-Fend will look through your default dosgame folder. If it D-Fend locates the game's exe file then D-Fend will ask you if it's the correct one. If you confirm the Profile Editor pops up with the game's EXE already selected and an Auto Mount will also be created.


Changing Dynamic Options

DOSBox is an on going project. D-Fend always support the latest official release. That doesn't mean that newer (unofficial) versions of DOSBox don't appear regularly. They do and newer versions often differ in configuration. This is where Dynamic Options come in. D-Fend allows you configure (some) options that are hard coded into the interface.

A picture says a thousand words so here's an example. Open the Configure Options screen by going to Extra / Configure Options
The following screen pops up.
dynopt

In the image above I selected scale. The values on the right are the values shown by the selection menu's in D-Fends editors and Wizard. e.g. Say I add a value Example.

dynopt-2
I press the Save button to save these options and I close the screen by pressing the X mark. Next I open the Default Configuration. See the image below.

dynopt-3
A you can see my new Scaler example is now part of the list of selectable items! These same if true for every editor in D-Fend including the Wizard.

This is the purpose of Dynamic Options. If you make a mistake and you want to go back to the original values press the Restore Defaults button.


Tips & Tricks

A little Extra stuff never hurt anyone. Did it?


Installing a game using D-Fend

You can install a game using D-Fend by doing the following:

1. Open the Profile wizard and enter a name for your game profile (don't call it install you'll use it normally later!)
2. Select the setup file for the game.
3. Make sure your mounts are properly configured. If the game needs its CD to install then mount it.
4. Finish the profile
5. Run the profile

Instead of running a game the profile will not run the game's setup. Install the game normally.

After installing the game edit the profile's settings:

Select the Game EXE (should now be on your hard drive)
Select the Setup EXE(Only if you want to)

Accept the changes and PRESTO! Game installed and a profile ready! What more could you want?


Mounting FULLY explaned

Mounting fully explained

D-Fend mounting system makes it different from any other front end out there.

Here's how it works:

Say you have a folder where you keep your dos games (I do) called C:\DOSGAMES
In this folder is another folder named DIGGER (that's C:\DOSGAMES\DIGGER)

When you mount C:\DOSGAMES as drive C and select C:\DOSGAMES\DIGGER\DIGGER.COM as Game EXE for a profile D-Fend will do the following.

If C:\DOSGAMES is C:\ in Dosbox then C:\DOSGAMES\DIGGER is C:\DIGGER in DOSbox. D-Fend figures this out on it's own.

In the AUTOEXEC part of a Dosbox config the following code is generated:

mount c C:\DOSGAMES
C:
CD\
CD digger
Digger

Now say you mount C:\WRONGFOLDER as C:\
This means the folder C:\DOSGAMES\DIGGER is no longer available in DOSbox. If you do this D-Fend will still create a profile and a Dosbox config, it will just skip the AUTOEXEC part.

Solution? Reconfigure those mounts and D-Fend will take care of the rest.


About the author

My name is Anthony and I'm (currently) 26 years old.

I live in the Netherlands and I'm a professional programmer in the LIMS area (laboratory). I specialise in database applications. I love messing around with databases which is pretty much all I do all day. D-Fend is sort of an odd duck. D-Fend started out as a simple project because I wanted to play may DOS games and spend hours configuring a dozen config files. You might say D-Fend was inspired by laziness.


D-Fend v2 Credits

Previous Top

D-Fend is now (oct 2004) half a year old and it has developed a lot since the fist version. It's gotten to the point that a testing team was required so I asked if people wanted to help me and that's when things took off. In less then two weeks I was able to fix dozens of nasty hard to find bugs. Some people even made new cool looking icons for me. They all did it for nothing but a word of gratitude (haven't received any bills yet j/k). So here is this fine group of people:

Programming:
Anthony aka "Mabus Raeen"

Testing:
Jeremy Priest aka Ieremiou
Or'ad aka Unpublicized
Evil Himself
Backslash
Redemp
Cristhian Serur aka Burnsflipper

Art & Icons:
Anthony (Icons)
Or'ad (Icons)
Cristhian Serur (lots of icons & splash)

Special thanks to:
Rasmus Allenheim for hosting the Mypixels form
The DOSBox team for creating an amazing emulator.


.topic 1

Welcome!

Welcome and thank you for choosing D-Fend as your DOSBox front-end. I hope you enjoy using the program. I enjoy making it.

What does D-Fend offer?

D-Fend allows you to make a so called profile for your DOS games. There profiles are then used to start DOSBox and run your game. Every profile is unique to allow tweaking which is very easy to do in D-Fend. Further more D-Fend offers several tools to make your life easier.  To name a few:

-	D-Fend? Database ?

Sort of. D-Fend allows you to store some extra info for each profile. You can define a Genre, Developer, Publisher, A Publication Year and some notes for each profile. The extra properties can be used to filter your profiles using the Filter Tree. Want to see all you action games? Just click on the filter an presto!

-	Templates

No game is the same but there are lots of games that work wonderfully with similar settings. Templates allows you to setup a general profile which you can use to make a specific profile. E.g. Make a template specifically for old games which require low speed and CGA monitor. Or make a template for new games which require high speed and a VGA monitor. The only limit is your own imagination.

-	Custom Settings and Configurable Options

DOSBox evolves continuously and new versions appear long before an official release is published. The CVS versions sometimes introduce new settings. This is where Custom Settings and Configurable Options come in. Say DOSBox CVS supports a new scaler which is not in D-Fend? Well just add it! Are there completely new settings? Then Custom Settings is your friend.

Now matter how DOSBox evolves over time. D-Fend offers all the flexibility you need to keep playing your games.

-	An advanced GUI based mounting system

D-Fend does all the hard work when it comes to mounting. All you do is say "This folder is that drive" and D-Fend does the rest. D-Fend also supports mounting images which was introduced in DOSBox 0.62

-	Icons! Icons and ICONS!

I know that good looks count and D-Fend was adapted for this. Give your profiles that nice unique look with an Icon! A profiles icon will also be used when you create a shortcut.

-	Shortcuts rule

And I know it. D-Fend is nice, but a simple shortcut rocks. D-Fend allows you to make nice looking shortcuts for your games.

-	Much, much more.

.topic 51
Quick start

So you can't wait to start playing games can you? Take these steps to get your game running as soon as possible.

Install DOSBox 0.62 (you probably did this already)
Run D-Fend and configure DOS Box's installation folder. D-Fend needs to know this to start your games.
Now D-Fend should be up and running
Press the Wizard button (little wizard hat) or go to Profile / Add With Wizard. The profile wizard appears.
Enter a name for the profile/game
Use the browse button to select your game executable.
If the game has a sound setup program it's a good idea to select it as well. Use the appropriate browse button and select it.
Press the 'Accept all Defaults' button
Your profile is done.

In most cases your game should already work but you might want to fine tune it a little. E.g. the speed might be to high/low. Or the sounds doesn't work.

Speed problems
Select Profile / Edit Profile
Go to the Environment increase/decrease the amount of cycles
Try again

Sound problems
If the game has a sound setup program go to the profile tab and select it. If you did this already skip to the next step.
Select Run / Run Setup
The Sound setup program should now start in DOSBox. From here on you're kind of on your own. Make sure the sound settings are setup correctly.
Try again

The game won't start at all!
First thing: Go to the profile tab and make sure that the checkbox Close DOSBox after game quits is unchecked.
Go to the Environment tab and turn on/off EMS and/or XMS emulation
Go to the mount tab and make sure your mounts are setup properly.
Try again or read this entire manual.

.topic 53
Using D-Fend requires that you understand how to configure DOSBox using D-Fend. You do this by creating Profiles. There are two ways you can create a profile. You can create a profile using the Wizard or you can create a profile using the Profile Editor.

If you're new to D-Fend I recommend you read the following chapters in sequence:

What is a Profile?
How D-Fend Works
Main screen
Game List
Default Config editor
Profile Editor
Shared Tabs
Creating Profiles
Running Games

D-Fend allows you to create Templates with which you can create profiles fast and easy. This is an advances feature and you don't need to know about it in order to use D-Fend but I highly recommend learning about using Templates. The following chapters deal with Templates.

Templates
Template Editor
Creating a Profile Using a Template

The chapters above all cover dealing with profiles in some manner. However D-Fend allows you to do a lot more then just create profiles and run games. If you want to know more about some advanced features I recommend you read the following chapters:

Creating a Shortcut
Importing & Exporting Profiles
Changing Dynamic Options
Tips & Tricks

.topic 80
A profile is a collection of settings used to run a game using DOSBox. DOSBox can't use profiles to run games so D-Fend converts a profile into a valid DOSBox config file. Every time you edit a profile D-Fend automatically creates a new config file.

In order to play games you need to create profiles. D-Fend allows you to edit a profile using the Profile Editor. This is a powerful tool that you should because accustomed to.

.topic 52
D-Fend's sole purpose is getting DOS games to run with DOSBox. In order to do this you need to create profiles. You can create profiles using:

1.	The profile wizard (Beginner)
Step be step guidance. Hides options not required to get a game running
2.	The profile editor (Advanced user)
No guidance. Doesn't hide any options.

There is one basic principle you must understand about creating profiles. Whenever you create a profile it is based on either a Template or your Default Configuration. I'll give a little example.

Say your default configuration is:

Video card	:	VGA
Cycles		:	10000

There are more settings but this will work just fine as an example.

    Example:

When you create a profile using the Wizard or the Profile Editor the Video card will be set to VGA and the Cycles will be set to 10000. The same is true for every settings. Of course, you can configure your Default Configuration so the settings may be different.

Something to note:
When you create a profile using the Wizard you will not see every setting. This is done on purpose to keep things simple. Even though you can't configure a setting in the Wizard  that doesn't mean it's not set-up for you. When using the Wizard you can change certain settings and the blanks are filled up with the Default Configuration.

This is not the case when you use the Profile Editor, that is, there are no blanks. When you use the Profile Editor to create a profile you'll have access to every setting available.

In the Example above I only mentioned the Default Configuration but that's not the whole story. You could say the Default Configuration is the Default Template. What I mean by this is that templates work EXACTLY like the Default Configuration.

Unless you're the adventurous type I recommend you read the chapters dedicated to:

The Editors

In D-Fend there are three Editors:

1.	Default Configuration (editor)
2.	Profile Editor
3.	Template Editor

These editors are very similar in set-up and all share several Tab sheets. These shared tab sheets are discussed in a separate chapter.

.topic 4
Introduction

The main screen is the hart of D-Fend. Here you control everything from Running Games, to deciding what icons you want to use.

A Short introduction to the main screen

The numbers in the picture above represent the following controls. In later chapters these controls will be discussed in more detail. For it's important to know what I call them to avoid mistakes:

1.	Main menu
2.	Quick buttons
3.	Game List
4.	Filter Tree
5.	Thumbnail bar

Main menu

The main menu offers access to all the options D-Fend offers.

Quick buttons

These buttons are most commonly used functions in D-Fend.

Game List

This list shows you a list of your games. The contents can vary depending on the selected filter.

Filter Tree

This tree can be used to filter for profiles with specific properties. e.g. Clicking Favorites will show only favorite profiles in the Game list.

.topic 68

The main menu contains all the power of D-Fend. Options which open a screen are links.
Here's a listing on what you can find in this menu:

File
Import Profile
Opens the an Open dialog with which you can select an import file to import.
Export Profile
Opens the Export screen for exporting profiles
Game Export List
Creates a text file containing all your games including extra information.
Run
Run Game
Runs a selected game with DOSBox
Run Setup
Runs a selected game setup with DOSBox
Run DOSBox with Default Config
Runs DOSBox with the settings to configured with the Default Configuration editor
Run DOSBox with dosbox.conf
Starts DOSBox using the dosbox.conf file. This is the normal config file dosbox uses which you can edit to experiment or whatever.
Edit dosbox.conf
Opens dosbox.conf (if it exists) with notepad.
Profile
Add with Wizard
Allows you to create a new profile using the Wizard
Add with Editor
Allows you to create a new profile using the Profile Editor
Edit Profile
Opens the selected profile for editing in the Profile Editor
Remove Profile(s)
Removes selected profiles after confirmation. You can select more then one.
Import/Export. Same as in the File menu.
Shortcuts. Contains two options:
Create Quick Shortcut
Creates shortcuts for your selected profiles on the Desktop
Create Shortcut
Opens the Shortcut screen. Here you can configure a shortcut
Extra
Manage Icons
Opens the Icon Library. Here you can mange the icons you can use with your profiles.
Manage Filters
Opens the Filters manager. Here you can easily Add or Remove Genres.
View play log
View your play log :). D-Fend keeps track of which games you started at what time.
Change Dynamic Options
Opens the dynamic option editor. Here you can setup your default configuration.
Configure Options
Here you can configure the various selection menu's in D-Fend. This is a function intended for CVS users.
Help
Manual. You're reading it now.
Send me a mail.
Opens your mail client ready for sending me an e-mail.
Visit D-Fend forum
Opens your web browser and navigates to D-Fend's homepage.

.topic 69

The quick buttons are buttons you can use to do stuff faster's. From left to right:

Open Wizard
Open Editor for Profile creation
Open Template screen
Open Default Configuration editor
Run a selected game
Run a selected game's setup (if available)
Open the Profile Editor to edit a selected profile
Delete one or more selected profiles
Switch View Style.

.topic 70

The red rectangle is the game list. Using the View Menu you can change the view style properties of the game list.

The function of the game list is obvious, it displays the profiles the active filter allows you to see. Favorite profiles are marked with a bold font. Right clicking opens a pop up menu with the following options.

Run Game (Same as double click)
Run Setup
Edit Profile
Rename Profile
Remove Profile
Send To
Shortcuts
Go to Game folder
Opens Windows Explorer and opens the game's folder
Mark as Favorite
Marks/unmarks selected profiles as favorites. Favorites appear in bold in the Profile Editor.

.topic 75
Drag & Drop

You can Drag & Drop profiles onto a filter. For example. You have several profiles you want to set to the Action Genre (this needs to be available first). Simply select the profiles as if they were files and drag them onto the filter and you're done. It's that easy. You can also drag profiles to the Favorites node to mark them as favorites.

.topic 74
In stead of using Drag & Drop to change the Extra Info of a profile you can use Send To.

Select a bunch of profiles and right click. Go to Send To and a sub menu will appear with Genre, Developer, Publisher Year. If you want to set your profiles to a certain Genre just hover over Genre and a list of available genres will appear. Click on the genre and you're done.

.topic 73
Press the   button and the following options appear:
Icons
Switches to Icon view
List
Switches to List view
Show Extra Info
Hides shows the Extra info
Show Filter Tree
Shows/hides the Filter Tree
Show Thumbnails
Shows/Hides the Thumbnail bar

Here are several preview on different view styles.

Game list showing Extra Info in List mode

Game list not showing Extra info in List mode

Game List Icons. Extra Info is always hidden

.topic 72

The Thumbnail bar will show the thumbnails for screen shots you created in DOSBox. These thumbnails will automatically appear when you select a profile in the game list. You can double click to open a Preview window showing the image at actual size. Right clicking on a thumbnail will open a context menu with which you can delete, open or even clear all thumbnails.

.topic 71

The Filter Tree allows you to filter profiles based on their Extra Info (Genre, Developer, etc). It really simple. Just click on a node and the Game List will show the appropriate profiles. There are two special nodes. These are: All Games and Favorites. Selecting All Games will show all available profiles. Selecting Favorites will only show profiles marked as a Favorite.

However there are more nodes and the image above even has sub nodes. What do these do? Simple, there are four nodes which define a certain filter. These are Genre, Developer, Publisher, Year. These nodes are collectively known as Filter Types. The data their contain is collectively known as a Filter.

If, for example, you selected Genre / Action the Game List would only show profiles which have Action as the Genre. If you read the chapter about the Game Info Tab you'll have a pretty good idea how to add and change a Genre or any other kind of data. Changing twenty profiles to the Action Genre would be a very tedious job indeed. The next part of this chapter deals with solutions exactly for that.

Adding Filters using the Filter Tree

Select a filter type e.g. Genre. In the example above this will look like this:

As you can see the Game List is gone and the Filter List appeared displaying the Genre's available at the moment. Right clicking in the Filter List will make a pop-up menu appear with the following options:

Open (Same as double click)
This selects the Filter as if you selected it from the Filter Tree. The Game list will appear showing profiles matching the filter. It's like entering a folder.
New Filter
Selecting this option will show an input box in which you can enter a new filter description.
Delete Filter
Removes a selected filter.

.topic 61
The Default Configuration defines the settings used by the Profile Editor and the Wizard when you create a profile. It also defines several D-Fend options which have nothing to do with profiles. It has only one specialized tab sheet which is labelled Options.

.topic 56
Here you configure some options for D-Fend and D-Fend only. These settings have nothing to do with DOSBox.

DOSBox location
Here is where you set-up DOS Box's installation folder. You browse using the browse button or you can type the path name yourself. This the most vital setting in D-Fend. Without this setting you cannot start any games. When you install D-Fend for the first time the first thing you need to do is set-up the DOSBox installation folder or D-Fend will not start. D-Fend will not allow you to select an invalid path. Note that D-Fend will only look for the file 'dosbox.exe'.
Default Game location
If you're like my you will probably put all your DOS games in a separate folder. You can set-up that folder here. When you browse for a game (or setup) this is the first folder that the browse will show. I recommend using this setting it really speeds things up
Remembers last profile Tab
Setting this option will make the Profile Editor show the last tab you used when editing a profile. Very useful if you are tweaking certain settings.
Hide DOSBox console
Enabling this setting will cause the DOSBox console to be hidden when you start a game.
Minimize D-Fend
Setting this option will minimize D-Fend when you start a game. Useful because minimized programs receive less attention from Windows and claim less memory.

The other Tabs are shared tabs. You can read about them in the Shared Tabs chapter.

.topic 41
Templates are nothing more then profiles made in advance. By using templates you can save yourself a lot of work. Say you have several games that run best on an old machine and several games that need a newer machine. In a case such as this the easiest thing to do is to create several templates which you can use to create profiles.

To open the Template screen go to : Profile / 'Add/Use Template'.
The following screen will appear:

In the picture above I've shown two templates.

Old Games is intended for really old games. This template will setup the Wizard/Profile Editor with low cycles, CGA monitor and no additional memory along with several other tweaks
Newer Games is intended for dos game that are a little bit more advanced. It uses a high cycle count, default to vga monitor, and it uses the dynamic code.

Of course, you're not limit to just two templates! You can create as many as you like.

There are several features that are very important to know about the template screen. I will go through the buttons since that's how you access these features.

Select Button
A pop up menu will show giving you the option to create profile using the wizard or create a profile using the Profile Editor. Read more about this in this chapter.
Default Button
The Default Button turns the selected template into the Default Template. Whenever you create a new profile using the Wizard or the Profile Editor without the use of the Template screen the Default Template is the template that will be used. You can undo the Default Template by selecting the Default Template and pressing the Default button again.
Add
Pressing the Add button will show a pop up menu giving you two options
1.	Base on Default Configuration. Selecting this option (always available) will open the Template Editor and the settings from your Default Configuration will be loaded.
2.	Base on Selected Template. Selecting this option will open the Template Editor and the settings from the selected Template will be loaded. This effectively copies the template you selected.
Edit
Opens the Template Editor. This allows you to modify a template. Profiles based on this template are not influenced by this
Remove
Removed a selected template
Rename
Allows you to rename a selected template

.topic 62
The Template Editor can be used to create and edit Templates. It has only one specialized tab sheet: Template.

.topic 63

The Template Editor can be used to create and edit Templates. It has only one specialized tab sheet: Template.

.topic 57
The Profile Editor is used to edit and create profiles. Here you can change any setting for a profile. The Profile Editor has three specialized tabs. These are: \

Profile Settings
Game Info
Autoexec

.topic 58

Change/Clear Icon
Here you can select the icon which will represent you profile in the Game List. The default icon is D-Fend's own icon. You can change this with the Icon Library. Clearing the icon will reset the icon to D-Fend's own icon.
Profile Name
This is the name of the profile. This name will be displayed in the Game List. You can if you're editing a profile you can change the name here. If you're creating a profile then this will be the name of your profile.
Game EXE
This is the file used to start the game. This doesn't have to be an EXE file though any run able file is acceptable. You can select: COM, EXE and BAT files. You can either use the Browse button to select a game exe or you can type the file path yourself.
Parameters
some games require some command line parameters to run. Enter the command line parameters exactly like you would at the command line.
Setup EXE
This is the file used to start the game's setup. This is not a mandatory option! Some games just don't have setup programs. But if a game does have one I really recommend you configure it. Configuring a setup exe will enable D-Fend to run the setup using the exact same settings as the game. This means that if you successfully configure the sound using a game's setup program  that the sound will work in the game.
Parameters
Some setups might require a few command line parameters. Enter the command line parameters exactly like you would at the command line.
LoadFix
LoadFix eats up some conventional memory. Some games need this because they don't expect to much memory to be available to this. I know it's silly but it's a fact of life. The default value is 64 Kb (kilobytes) but you can override this by entering a value.
Capture folder
This is the folder where DOSBox will store screen shots for this game when you make a screen shot using CTRL-F5.
Generate Folder Name
This will generate a name (not create it) based on the name of your profile. When you confirm your profile settings D-Fend will automatically make this folder for you.
Browse
If you want to pick a folder yourself then you can use the browse button to select one.

.topic 59

Game info is new in D-Fend. This is totally optional and you really don't need to use it. But it's fun! Here you can give that little extra character to a profile by entering some information about the game. It will also enable you to Filter on these properties using the Filter Tree.

You can set-up the following items:

A note about these fields. When you enter a new value D-Fend will automatically add it to the database for future use.

Genre
Here you can type or select the genre of the game. E.g. Action, Arcade, etc. Use your imagination.
Developer
Here you can type or select the developer of the game. In other words, who made it.
Publisher
Here you can type or select the published of the game.
Year (of publication)
Here you can type or select the year the game was released. It's not a requirement that this be a number.
Notes
Here you can enter some notes or a lot of notes.

.topic 60

This is a tab for advanced users. Autoexec is an old DOS name. It used to be a file  (batch file) with which you could start when MS-DOS was starting up. DOSBox also has an AUTOEXEC. This AUTOEXEC is used to create mounts, start games or start anything you like.

Lucky for you that D-Fend does all this for you but… sometimes it might not be enough. This is where this tab comes in. There are several options available to you and several ways to use this functionality which be revealed shortly. First, the settings:

Override mounting
Mounting is slang for creating a hard drive in DOSBox. You need to do this to play games because by default DOSBox will not recognize any hard drives/cd-roms. D-Fend allows you to set up your mounts and will generate the necessary command. If you want to prevent this then enable this option.
Override game start
Enabling this will prevent D-Fend from starting your game automatically

Now lets talk about what you can do here. There are several possibilities:

Override mounting is disabled and Override game start is disabled
Commands you enter in the text box will be executed AFTER the mounts are created and BEFORE the game is started. This is useful if, for example, . you want to start a trainer
Override mounting is enabled and Override game start is disabled
This is a tricky setting. D-Fend will not create mounts but it will try and start the game as if it DID create them. This isn't particularly useful
Override mounting is enabled and Override game start is enabled
Manual mode. You can define your autoexec anyway you like. What ever you enter in Autoexec will be executed when you run DOSBox

.topic 54
D-Fend's editors all share several tabs. Regardless of the editor you are using these tabs will work exactly the same. In this chapter you can read about these tabs. First here's a list of these tabs. Click on a tab sheets name to read more about this tab sheet.

·	General
·	Environment
·	Mounts
·	Sound
·	Custom Settings
·	Priority

.topic 7
This tab contains all the settings that have absolutely nothing to do with MS-DOS emulation. This tab deals with miscellaneous DOSBox settings and screen output.

Here's a listing of the settings. The number/value between () is the default value for this setting.

Close DOSBox when game quits (DISABLED)
Enabling this setting will execute the EXIT command right after you quit a game. This will close DOSBox. Leave this setting Disabled if you're testing a new profile because you will not be able to see any error messages, etc.

Double buffering (DISABLED)
Doublebuffering results in a smoother transition between frames. Only works in Full screen.

Full screen (DISABLED)
DOSBox will run in full screenthe moment it starts.

Auto lock mouse (ENABLED)
When you run a game DOSBox will capture the mouse and give control of the mouse point to the game when you click on the DOSBox window. This is default behaviour when you're running in full screen

Fullfixed
This 'fixes' the resolution when in full screen. So if your resolution is 1024x786 and the game is really using 320x200 switching to full screen will keep the resolution at 1024x786.

Aspect Correction
DOSBox will stretch the game's emulator image to the selected screen resolution. In some cases this will look strange.

Mouse sensitivity (100)
Configures the mouse sensitive in DOSBox.

Resolution
The resolution with which DOSBox runs in windowed mode and in Full screen mode if Full fixed is enabled

Render Method (surface)
This configures the output method DOSBox uses to draw images on the screen. Some methods are faster then other but this is influenced by hardware. Experiment and figure out which works best for you.

Scaler
A scaler is a 'filter' with which the image is modified. Experimentation is the key here. Note that some scaler's are very CPU intensive and will cause a negative performance hit.

Hardware scaling (1.00)
Only works if you video card supports it. This setting allows you to increase the size of the image via your hardware, which is faster.

.topic 8
This tab allows you configure the environmental options Dosbox emulates.

Amount of dos memory(16)
This is the amount of memory high memory available for dos games. Set this to a generally 'good' value.

Enable XMS
Turns on emulation of Extended memory. Some games need this, some games won't run with this on. Most DOS4GW games require this to be enabled.

Enable EMS
Turns on emulation of Expanded memory. Some games WILL NOT WORK unless this is turned on. Some games will NOT work with this on. Generally, games do not use this.

Cycles
The amount of processing power DOSBox emulates. You cannot translate this to MHz. Advanced games need more cycles then simple games. Simple games will run way to fast with a high amount of cycles. This is probably one of the most important settings Dosbox offers. The amount of cycles Dosbox can handle depends on how powerful your PC is, on the game you're running and the selected CPU core

NOTE: Some games won't even run with this settings set to high.

Up/Down
You can increase/decrease the amount of cycles while Dosbox is running with CTRL-F12/F11. Up/Down allows you to configure by how much the amount of cycles is increased/decreased.

NOTE: If you set this to hundred of lower DOSbox will treat this number as a percentage.

Frame Skip
One of those tweaking options. By skipping frames you lessen the load on your processor. It does come at a cost, less frames means choppy animation.

CPU core
You can select Normal, Full, dynamic or simple. Normal is slower but the most stable, dynamic is the fastest but less stable and less compatible. By slower and faster I mean that you can set the amount of Cycles a lot higher when using the Dynamic core. Don't use Simple or Full

Video card
Here you select the video card DOSBox emulate.

.topic 10
Here's where you configure the hard drives/cd roms/floppies DOSBox will use. If you want to know more about mounting. Read this chapter.

Mount List
This list shows you which drives will be available to DOSBox. It also shows what kind of drives they will be.  I'll explain what every means:
Folder
This is the folder/image/floppy/drive WHATEVER that's going to be mounted in DOSBox
Type
This shows you what your 'folder' will be when it's mounted in DOSBox. This can either be a: Drive, Floppy, CDROM
Drive letter
This shows the drive letter your 'folder' will be when it's mounted in DOSBox
Label
DOSBox will give this label to your mounted 'folder'. Some games won't work unless a certain label is set for a CDROM.
IOCTL
Only useful for mounting physical CDROMS and Virtual CDROMs. If a game's copy protection is giving you trouble then enable this setting.

Auto Create
Pressing this button will automatically create a valid mount point for your game. This will work just fine nine out of ten times but some games are very picky about their installation folder. Auto Creating a mount will always mount the root of a drive the type of the mount will always be a hard drive. But you can edit it if you wish.
Add
Opens the Add mount Screen.
Edit
Opens the Add mount screen with your selected mount which you can Edit.
Remove
Removed a selected mount.
Clear All
Clears all mount after confirmation

.topic 9

Enable Sound (ENABLED)
Enabling this setting with turn the sound on. Disabling with mute sound output it will not disable sound emulation.
Sample Rate (22050)
The sample rate of the audio playback. I never really experimented with this. Some sound devices can set their own Sample Rate. Again, I really never experimented with this.
Block Size
I haven't a clue what this does. All I know is that increasing this value smoothen's audio playback but the audio will go out of sync.
Pre buffer
The amount of millisecond dosbox stores the sound before playing it back. I haven't a clue what this does.

The Sound Tab has it's own tabs. These are:

Sound Blaster
GUS
Midi
Misc

.topic 64

Here you can set-up sound blaster emulation. Select a type of sound blaster and configure the IRQ's and DMA's. The defaults usually work just fine. You can't really go wrong here. The only reason to change anything here is that a game only supports a Sound Blaster Pro 1 and not the Sound Blaster 16. Or a game might prefer a certain IRQ or DMA. In that case you can change as much as you want.

A final note. OPLMODE is best left on AUTO it's the default for a very good reason. The thing is that the OPLMODE is dependant on the sound blaster type. However, if, for some reason you want to combine OPL3 with a sound blaster 8 bit. Go ahead but it's NOT natural to do so because the actual hardware never supported this.

.topic 65

Here you can enable GUS (Gravis Ultrasound) emulation. Pretty much the same deal as with configuring the sound blaster. A GUS however has two IRQ's and two DMA. Truth be told I never owned a GUS I never used GUS emulation but I do know that you can set both IRQ and DMA's to the same value. I also know that you need certain patches/drivers to actually use this. But that's beyond me.

.topic 66

Here you can set-up MIDI settings. There's not to much to configure here. Just a few hints. Behave Intelligently is enabled by default. It's best to leave it at that as it increases compatibility.

.topic 67

Here you can enable the PC Speaker and the Disney Sound source. A little piece of advice

ALWAYS ENABLE PC-SPEAKER EMULATION

Even if a game doesn't use the PC-SPEAKER it might expect it to be there. If not a game might not run at all. Leave this setting on. As for the Disney Sound source, you decide.

.topic 11

Enable Modem(DISABLED)
Enables virtual modem emulation
Comport
Configures the virtual comport DOS games should look for a modem connection
Port number
This is the TCP/IP port DOSBox will listen on for incoming virtual modem calls.

Enable Direct serial connection
I'd love to tell you all about this but there's absolutely no documentation on this functionality.

.topic 44
Custom Settings allow you to configure any setting that is supported by DOSBox or DOSBox CVS.  (Click here to learn more about DOSBox CVS)

First you need to know a little about INI files. Ini files are build up out of three parts:

1.	Sections
2.	Options
3.	Values

The format for this is:

[SECTION]
OPTION=VALUE

A section can contain several dozens or even a hundred options. DOSBox also uses and ini file names dosbox.conf. If you plan on using Custom Settings you will need to get familiar with the dosbox.conf. Here's a little example:

Say someone build a CVS version of DOSBox that supports 3DFx emulation. That's sound pretty cool and we want to use that but the setting doesn't exist in D-Fend. So what now?

Simple. First we need to know how to enable 3dFx. We take a look in dosbox.conf and this is what we find:

[3dfx]
UseFX=False
Resolution=640x480

Interesting…. Now we copy the section 3dFx with both it's options and we paste it into the Custom Settings tab. However we want to Enable 3dFx support and right now it's disabled. So, we change the value of UseFX to True. Press OK and we're done. 3dFx emulation is now turned on.

And that's how easy Custom Settings work.

If you want to save a Custom Setting for later use you can do so. Press the Save To File button and a Save Dialog will pop-up. Enter a name and press OK.

If you want to use a saved Custom Setting press the Load From File button.

NOTE! DO NOT ENTER COMMENTS IN A CUSTOM SETTING D-FEND WILL CRASH IF YOU DO SO.

.topic 55
Here you can configure the priority with which DOSBox runs.

Windows gives a program a certain priority. The higher this priority the more CPU time the program gets resulting in a speed boost. DOSBox is very CPU intensive so this will effect performance.

You can change two settings here:

1.	You can set the priority of DOSBox when it's active (when you're playing a game).
2.	You can set the priority of DOSBox when it's inactive.

That's pretty much all there is to it. If DOSBox gets unstable when you select a certain priority, lower DOS Box's priority a notch and see what happens.

.topic 18
Creating profiles can be done using either the Wizard or the Profile Editor. It's up to you which one you prefer. You need to understand how defend works to understand how profiles are created with the Wizard. Also before you go and create profiles I really recommend you read about the Profile Editor, Default Configuration and the Shared Tabs.

If you've so there are three chapters covering Profile Creation.

1.	Create a Profile using the Profile Wizard
2.	Create a Profile using the Profile Editor
3.	Create a Profile using a Template

.topic 76
Using the Wizard to create a profile is probably the easier way to add profiles for people new to D-Fend. When you get to know D-Fend a little better you'll probably want to start adding profiles using the Profile Editor.

You can open the Wizard by going to : Profile / Add with Wizard

The following screen will pop up.

IMPORTANT!
The wizards title bar will give some information on what you're supposed to do. Take note of [Template : Default] this indicates that you're adding a profile using the Default Configuration. If you were using a Template or you configured a different Default Template Default would have been replaced by a template name of your own. Read more on templates in this chapter.

To continue creating a profile press the '>>' button and follow the instruction. When the '>>' button turns into Finish you've completed creating the profile. Press the Finish button and your profile is done.

Note that the '>>' button will be disabled if you entered invalid data. For example, the wizard will not let you procedure until you've selected a valid game exe.

.topic 77
Adding a profile using the Profile Editor is nearly identical to editing one. The only difference is that you need to enter a name for your new profile in the Profile Tab. Therefore read the chapter about the Profile Editor.

.topic 78
Open the Template screen with : Profile / 'Add/Use Template. The Template screen will pop up. Now select a template you want to base your new profile on and press the Select button. A pop-up menu will pop up showing two options.

1.	Select for Wizard
Select for Wizard will load the template into the Wizard. The Wizard will pop up and you can create a profile like you normally would using the Wizard
2.	Select for Editor
Select for Editor will load the template into the Profile Editor. The Profile Editor will pop up and you can create a profile like you normally would using the Profile Editor

If you need to know more about Templates refer to the chapter covering Templates.

.topic 19
You can run games using the Game List. To run a game select it and go to Run / Run Game. DOSBox will start and you can start playing. Alternatively you can also double click on a game name.

.topic 79
Running a setup works exactly the same as running a game. Go to Profile / Run Setup. The setup program will now start in DOSBox.

Advantages of configuring a setup
Many 'newer' dos games have a setup program that allows to configure sound (very common), key setup, etc. If you configure a setup for the game profile then D-Fend will be able to start the game's setup program in the exact same environment as the game itself. That means that if you configure the sound in the game's setup program and it works. Then it's very likely the sound will work in the game as well.

However you must first configure a games setup before you can run it. To select a games setup program edit the profile (Profile / Edit Profile) then browse for the game's setup program in the Profile Tab.

.topic 81
So what exactly is cool stuff? Well this part of the manual deals with stuff that has nothing to do with running games or configuring profiles. It's about neat extra's D-Fend offers.

.topic 83
The icon manager allows you to manage your icon library. Your icon library is a collection of icons you can use to give a profile a bit more character. You also use the icon library to select a icon for a shortcut.

You can open the Icon Manager by going to : Extra / Manage Icons

The following screen pops up:

Add
Opens a dialog that allows you to select an icon. When you select an icon it will automatically be placed in the icon library. If an icon with the same name already exists D-Fend will add a '1-' in front of the name
Remove
Removes a selected icon
OK
Confirms changes to the icon library
Cancel
Cancels the deletion icons you just removed. It also closes the screen.

Right clinking anywhere in the icon list will cause a pop up menu to appear. Here you can select the view options of the Icon manager:

List (smaller icons)
Icons (larger icons)

.topic 84
This will create a simple text file contain all the Info of your games.

Go to File / Export Game List.. Enter a name and press OK. If you open the file you'll see something like this:

Example
Genre            : A genre
Developer        : A developer
Pub              : A publisher
Publication Year : A Year
Notes:
Example notes

.topic 20
D-Fend offers import and export functionality which allows you to share your profiles with anyone using D-Fend! Although creating a profile is easy, tweaking is not. With importing and exporting you can share the work of making more games runs properly with DOSBox.

.topic 43
DOSBox is an on going project. D-Fend always support the latest official release. That doesn't mean that newer (unofficial) versions of DOSBox don't appear regularly. They do and newer versions often differ in configuration. This is where Dynamic Options come in. D-Fend allows you configure (some) options that are hard coded into the interface.

A picture says a thousand words so here's an example. Open the Configure Options screen by going to Extra / Configure Options
The following screen pops up.

In the image above I selected scale. The values on the right are the values shown by the selection menu's in D-Fends editors and Wizard. e.g. Say I add a value Example.

I press the Save button to save these options and I close the screen by pressing the X mark. Next I open the Default Configuration. See the image below.

A you can see my new Scaler example is now part of the list of selectable items! These same if true for every editor in D-Fend including the Wizard.

This is the purpose of Dynamic Options. If you make a mistake and you want to go back to the original values press the Restore Defaults button.

.topic 82
D-Fend is now (oct 2004) half a year old and it has developed a lot since the fist version. It's gotten to the point that a testing team was required so I asked if people wanted to help me and that's when things took off. In less then two weeks I was able to fix dozens of nasty hard to find bugs. Some people even made new cool looking icons for me. They all did it for nothing but a word of gratitude (haven't received any bills yet j/k). So here is this fine group of people:

Programming:
  Anthony aka "Mabus Raeen"

Testing:
  Jeremy Priest aka Ieremiou
  Or'ad aka Unpublicized
  Evil Himself
  Backslash
  Redemp
  Cristhian Serur aka Burnsflipper

Art & Icons:
  Anthony (Icons)
  Or'ad (Icons)
  Cristhian Serur (lots of icons & splash)

Special thanks to:
  Rasmus Allenheim for hosting the Mypixels form
  The DOSBox team for creating an amazing emulator.